<div fxLayout="row wrap" class="mt mb">
  <div [fxFlex]="layout === 'inline' ? 'nogrow' : '100'">
    <mat-form-field>
      <mat-label>{{ placeholder }}</mat-label>
      <input
        matInput
        (select)="selectInput($event)"
        [placeholder]="placeholder"
        (input)="update($event.target.value)"
      />
    </mat-form-field>
  </div>
  <div
    [fxFlex]="layout === 'inline' ? 'grow' : '100'"
    *ngIf="results.length"
    class="mt"
  >
    <mat-chip-list aria-label="Fish selection" *ngIf="results.length">
      <mat-chip
        color="primary"
        class="cursor"
        (click)="onSelect(res)"
        selected
        *ngFor="let res of results"
      >
        <mat-icon>add</mat-icon>{{ renderer(res) }}
        <span *ngIf="isDownload" style="margin-left: 8px;"
          >(
          {{
            res && res.category && res.category.name
              ? res.category.name.it || res.category.name.en
              : 'n.a'
          }}
          )</span
        >
      </mat-chip>
    </mat-chip-list>
  </div>
</div>
